import request from '@/utils/request'

// 查询中医疾病列表
export function listillnessLibrary(query) {
  return request({
    url: '/his/illnessLibrary/list',
    method: 'get',
    params: query
  })
}

// 查询中医疾病详细
export function getillnessLibrary(illnessId) {
  return request({
    url: '/his/illnessLibrary/' + illnessId,
    method: 'get'
  })
}
export function getIllness(query) {
  return request({
    url: '/his/illnessLibrary/getIllness/',
    method: 'get',
    params: query
  })
}

// 新增中医疾病
export function addillnessLibrary(data) {
  return request({
    url: '/his/illnessLibrary',
    method: 'post',
    data: data
  })
}

// 修改中医疾病
export function updateillnessLibrary(data) {
  return request({
    url: '/his/illnessLibrary',
    method: 'put',
    data: data
  })
}

// 删除中医疾病
export function delillnessLibrary(illnessId) {
  return request({
    url: '/his/illnessLibrary/' + illnessId,
    method: 'delete'
  })
}

// 导出中医疾病
export function exportillnessLibrary(query) {
  return request({
    url: '/his/illnessLibrary/export',
    method: 'get',
    params: query
  })
}
